import {
    G as M,
    r as c,
    R as Q,
    z as oe,
    B as V,
    H as D,
    aA as ke,
    I as C,
    Q as b,
    av as O,
    N as h,
    J as e,
    P as n,
    O as a,
    ax as U,
    aF as de,
    aB as B,
    u as A,
    X as We,
    au as J,
    az as Y,
    ao as q,
    ap as H,
    ay as G,
    V as j,
    aC as pe,
    aD as ve,
    $ as Se,
    C as me,
    K as Re,
    F as fe,
    b3 as je,
    a_ as Ee,
    E as xe,
    aK as Ge,
    n as Xe
} from "./common.modules-f9fa5dc7.js";
import {
    L as Ke
} from "./page-home-other-6e2f6e99.js";
import {
    b as Je,
    _ as Z,
    N as we,
    a3 as ee,
    G as Ye,
    J as Qe,
    g as he,
    a1 as ye,
    A as re,
    bD as et,
    bE as Ve,
    bF as Be,
    a4 as De,
    bG as Ne,
    bH as Ue,
    bI as tt,
    bJ as st,
    n as ot
} from "./page-activity-ActivityDetail-0d51a056.js";
import {
    D as qe
} from "./page-activity-Championship-a046222e.js";
import {
    D as at
} from "./page-activity-PointMall-a199bad9.js";
const nt = {
        class: "popups"
    },
    rt = {
        class: "popup-content"
    },
    lt = {
        class: "tit"
    },
    it = {
        class: "con"
    },
    ut = {
        class: "info"
    },
    ct = {
        class: "txt"
    },
    dt = {
        class: "txt"
    },
    pt = {
        class: "box"
    },
    vt = ["placeholder"],
    mt = {
        class: "lab"
    },
    gt = {
        class: "popup-foot"
    },
    _t = M({
        __name: "index",
        props: {
            showPopup: {
                type: Boolean,
                default: c(!1)
            }
        },
        emits: ["update:showPopup", "onConfirm", "onBack"],
        setup(m, {
            emit: P
        }) {
            const p = m,
                t = Q(),
                {
                    t: d
                } = oe(),
                s = V({
                    get() {
                        return p.showPopup || !1
                    },
                    set(f) {
                        P("update:showPopup", f)
                    }
                }),
                o = c(""),
                w = () => {
                    if (!o.value) return A(d("googleKey"));
                    P("onConfirm", o.value.toString())
                },
                l = () => {
                    o.value = "", P("onBack")
                };

            function v() {
                t.push({
                    name: "CustomerService"
                })
            }
            return (f, i) => {
                const g = D("van-icon"),
                    S = D("van-popup"),
                    r = ke("throttle-click"),
                    k = ke("lazy");
                return h(), C("div", nt, [b(S, {
                    show: s.value,
                    "onUpdate:show": i[1] || (i[1] = F => s.value = F),
                    position: "center",
                    round: "",
                    class: "popup",
                    "close-on-click-overlay": !1
                }, {
                    default: O(() => [e("div", rt, [e("div", lt, n(a(d)("googleVerification")), 1), e("div", it, [e("div", ut, [e("p", ct, n(a(d)("googleTip5")), 1), e("p", dt, n(a(d)("googleTip6")), 1)]), e("div", pt, [U(e("input", {
                        class: "input",
                        type: "text",
                        "onUpdate:modelValue": i[0] || (i[0] = F => o.value = F),
                        maxlength: "6",
                        oninput: "value=value.replace(/\\D/g,'')",
                        placeholder: a(d)("PgoogleVerification")
                    }, null, 8, vt), [
                        [de, o.value]
                    ]), e("p", mt, [b(g, {
                        class: "icon",
                        name: "warning-o"
                    }), B(n(a(d)("PVerificationCode")) + " ", 1), e("span", {
                        onClick: v
                    }, n(a(d)("contactServicer")), 1)])]), e("div", gt, [U((h(), C("div", null, [B(n(a(d)("confirm")), 1)])), [
                        [r, {
                            handler: w,
                            wait: 1e3
                        }]
                    ]), e("div", {
                        onClick: l
                    }, n(a(d)("withdrawDialogDesc6")), 1)])]), U(e("img", {
                        class: "close",
                        onClick: l
                    }, null, 512), [
                        [k, a(Je)("main", "close")]
                    ])])]),
                    _: 1
                }, 8, ["show"])])
            }
        }
    });
const Ae = Z(_t, [
        ["__scopeId", "data-v-96e240c3"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Main/VerifyPopup/index.vue"]
    ]),
    te = m => (pe("data-v-869b9ee0"), m = m(), ve(), m),
    ft = ["src"],
    ht = ["src"],
    wt = {
        key: 1,
        class: "captcha_message"
    },
    yt = {
        class: "captcha_message__icon"
    },
    bt = {
        key: 0,
        height: "28",
        viewBox: "0 0 28 28",
        width: "28",
        xmlns: "http://www.w3.org/2000/svg"
    },
    kt = te(() => e("g", {
        fill: "none",
        "fill-rule": "evenodd",
        stroke: "#fff",
        "stroke-linecap": "round",
        "stroke-linejoin": "round",
        "stroke-width": "1.5"
    }, [e("path", {
        d: "M22.776 4.073A13.2 13.2 0 0 0 14 .75C6.682.75.75 6.682.75 14S6.682 27.25 14 27.25 27.25 21.318 27.25 14c0-.284-.009-.566-.027-.845"
    }), e("path", {
        d: "M7 12.5l7 7 13-13"
    })], -1)),
    St = [kt],
    $t = {
        key: 1,
        height: "28",
        viewBox: "0 0 28 28",
        width: "28",
        xmlns: "http://www.w3.org/2000/svg"
    },
    Ct = te(() => e("g", {
        fill: "none",
        "fill-rule": "evenodd",
        stroke: "#fff",
        "stroke-width": "1.5"
    }, [e("circle", {
        cx: "14",
        cy: "14",
        r: "13.25"
    }), e("path", {
        d: "M8.75 8.75l10.5 10.5M19.25 8.75l-10.5 10.5",
        "stroke-linecap": "round",
        "stroke-linejoin": "round"
    })], -1)),
    It = [Ct],
    Pt = {
        class: "captcha_message__text"
    },
    Tt = {
        key: 2,
        class: "captcha_message loadding"
    },
    Ft = te(() => e("div", {
        class: "captcha_message__icon captcha_message__icon--loadding"
    }, null, -1)),
    Rt = {
        class: "captcha_message__text"
    },
    Et = {
        key: 3,
        class: "captcha_message"
    },
    xt = te(() => e("div", {
        class: "captcha_message__icon captcha_message__icon--loadding"
    }, null, -1)),
    Vt = te(() => e("div", {
        class: "captcha_message__text"
    }, null, -1)),
    Bt = [xt, Vt],
    Dt = te(() => e("path", {
        d: "M500.864 545.728a47.744 47.744 0 0 0 6.72-48.896 24.704 24.704 0 0 0-4.48-8.384L240.256 193.088a34.24 34.24 0 0 0-28.608-17.408 34.24 34.24 0 0 0-25.856 12.864 46.592 46.592 0 0 0 0 59.52l238.08 264.512-238.08 264.512a46.592 46.592 0 0 0-1.088 59.52 32 32 0 0 0 50.56 0l265.6-290.88z",
        "p-id": "820"
    }, null, -1)),
    Nt = te(() => e("path", {
        d: "M523.84 248.064l236.992 264.512-238.08 264.512a46.592 46.592 0 0 0 0 59.52 32 32 0 0 0 50.56 0l265.6-292.608a47.744 47.744 0 0 0 6.72-48.832 24.704 24.704 0 0 0-4.48-8.448L578.304 191.36a34.24 34.24 0 0 0-55.552-2.816 46.592 46.592 0 0 0 1.088 59.52z",
        "p-id": "821"
    }, null, -1)),
    Ut = [Dt, Nt],
    qt = {
        key: 0,
        class: "captcha__actions"
    },
    At = ["fill"],
    Lt = te(() => e("path", {
        d: "M10,4 C12.0559549,4 13.9131832,5.04358655 15.0015086,6.68322231 L15,5.5 C15,5.22385763 15.2238576,5 15.5,5 C15.7761424,5 16,5.22385763 16,5.5 L16,8.5 C16,8.77614237 15.7761424,9 15.5,9 L12.5,9 C12.2238576,9 12,8.77614237 12,8.5 C12,8.22385763 12.2238576,8 12.5,8 L14.5842317,8.00000341 C13.7999308,6.20218044 12.0143541,5 10,5 C7.23857625,5 5,7.23857625 5,10 C5,12.7614237 7.23857625,15 10,15 C11.749756,15 13.3431487,14.0944653 14.2500463,12.6352662 C14.3958113,12.4007302 14.7041063,12.328767 14.9386423,12.4745321 C15.1731784,12.6202971 15.2451415,12.9285921 15.0993765,13.1631281 C14.0118542,14.9129524 12.0990688,16 10,16 C6.6862915,16 4,13.3137085 4,10 C4,6.6862915 6.6862915,4 10,4 Z",
        "fill-rule": "nonzero"
    }, null, -1)),
    Mt = [Lt],
    zt = M({
        __name: "SlideCaptcha",
        props: {
            width: {
                type: Number,
                default: 340
            },
            height: {
                type: Number,
                default: 212
            },
            barHeight: {
                type: Number,
                default: 40
            },
            handlerIconWidth: {
                type: Number,
                default: 16
            },
            handlerIconHeigth: {
                type: Number,
                default: 16
            },
            background: {
                type: String,
                default: "#eee"
            },
            circle: {
                type: Boolean,
                default: !1
            },
            radius: {
                type: String,
                default: "4px"
            },
            text: {
                type: String,
                default: ""
            },
            progressBarBg: {
                type: String,
                default: "#76c61d"
            },
            successTip: {
                type: String,
                default: "Verification passed, over 80% of users."
            },
            failTip: {
                type: String,
                default: "Verification failed, drag the slider to correctly merge the floating image."
            },
            showRefresh: {
                type: Boolean,
                default: !1
            },
            refreshColor: {
                type: String,
                default: "#505050"
            }
        },
        emits: ["finish", "refresh"],
        setup(m, {
            expose: P,
            emit: p
        }) {
            const t = m,
                d = c(!1),
                s = c(!1),
                o = c(0),
                w = c(0),
                l = c(!1),
                v = c(!1),
                f = c(!1),
                i = c([]),
                g = c(void 0),
                S = c(!1),
                r = c(!1),
                k = c(!1),
                F = c(""),
                I = c(""),
                x = c(!1),
                y = V(() => ({
                    width: t.width + "px",
                    height: t.height + "px",
                    position: "relative",
                    overflow: "hidden"
                })),
                E = V(() => ({
                    width: t.width + "px"
                })),
                R = V(() => ({
                    width: t.width + "px",
                    height: t.barHeight + "px",
                    lineHeight: t.barHeight + "px",
                    background: t.background,
                    borderRadius: t.circle ? t.barHeight / 2 + "px" : t.radius
                })),
                W = V(() => ({
                    background: t.progressBarBg,
                    height: t.barHeight + "px",
                    borderRadius: t.circle ? t.barHeight / 2 + "px 0 0 " + t.barHeight / 2 + "px" : t.radius
                })),
                ie = V(() => ({
                    height: t.barHeight + "px",
                    width: t.width + "px"
                })),
                ue = V(() => ({
                    width: t.barHeight + "px",
                    height: t.barHeight - 2 + "px"
                })),
                ae = V(() => ({
                    width: t.handlerIconWidth + "px",
                    height: t.handlerIconHeigth + "px"
                })),
                se = V(() => t.refreshColor),
                _ = V(() => ({
                    color: t.refreshColor
                })),
                $ = c(),
                z = c(),
                X = c(),
                u = c(),
                T = c(),
                ne = () => {
                    d.value = !0, j(() => {
                        Pe(), He()
                    }), k.value = !0
                },
                ce = (N, K) => {
                    k.value = !1, F.value = N, I.value = K
                },
                L = () => {
                    r.value = !0
                },
                Me = N => {
                    N.value = N, r.value = !1, S.value = !0
                },
                Pe = () => {
                    o.value = 0, w.value = 0, i.value = [], s.value = !1, f.value = !1, k.value = !1, r.value = !1, S.value = !1, x.value = !1, z && (z.value.style.width = 0), u && (u.value.style.left = 0), T && (T.value.style.left = 0)
                },
                Te = () => {
                    window.removeEventListener("touchmove", ge), window.removeEventListener("touchend", _e), window.removeEventListener("mousemove", ge), window.removeEventListener("mouseup", _e)
                },
                Fe = N => {
                    !x.value && F.value && I.value && !f.value && (window.addEventListener("touchmove", ge), window.addEventListener("touchend", _e), window.addEventListener("mousemove", ge), window.addEventListener("mouseup", _e), s.value = !0, g.value = new Date, o.value = N.pageX || N.touches[0].pageX, w.value = N.pageY || N.touches[0].pageY)
                },
                ge = N => {
                    if (s.value && !x.value && F.value && I.value && !f.value) {
                        const K = (N.pageX || N.touches[0].pageX) - o.value,
                            be = (N.pageY || N.touches[0].pageY) - w.value;
                        T.value.style.left = K + "px", z.value.style.width = K + t.barHeight / 2 + "px", u.value.style.left = K + "px", i.value.push({
                            x: Math.round(K),
                            y: Math.round(be),
                            t: new Date().getTime() - g.value.getTime()
                        })
                    }
                },
                _e = () => {
                    s.value && !x.value && F.value && I.value && !f.value && (s.value = !1, f.value = !0, Te(), p("finish", {
                        backgroundImageWidth: X.value.offsetWidth,
                        backgroundImageHeight: X.value.offsetHeight,
                        sliderImageWidth: u.value.offsetWidth,
                        sliderImageHeight: u.value.offsetHeight,
                        startTime: g.value,
                        endTime: new Date,
                        tracks: i.value
                    }))
                },
                ze = N => {
                    d.value = N
                },
                He = () => {
                    $.value.style.setProperty("--textColor", "#333"), $.value.style.setProperty("--width", Math.floor(t.width / 2) + "px"), $.value.style.setProperty("--pwidth", -Math.floor(t.width / 2) + "px")
                },
                Oe = () => {
                    Pe(), p("refresh")
                };
            return P({
                startRequestVerify: L,
                endRequestVerify: Me,
                startRequestGenerate: ne,
                endRequestGenerate: ce,
                setShowHiden: ze
            }), We(() => {
                Te()
            }), (N, K) => {
                const be = D("van-popup");
                return h(), J(be, {
                    show: d.value,
                    "onUpdate:show": K[0] || (K[0] = Ze => d.value = Ze),
                    teleport: "body"
                }, {
                    default: O(() => [e("div", {
                        class: "captcha",
                        style: Y(E.value)
                    }, [e("div", {
                        class: "captcha__main",
                        style: Y(y.value)
                    }, [F.value ? (h(), C("img", {
                        key: 0,
                        ref_key: "backgroundRef",
                        ref: X,
                        alt: "background",
                        class: "captcha_background",
                        src: F.value
                    }, null, 8, ft)) : q("v-if", !0), U(e("img", {
                        ref_key: "sliderRef",
                        ref: u,
                        alt: "slider",
                        class: H(["captcha_slider", {
                            goFirst: l.value,
                            goKeep: v.value
                        }]),
                        src: I.value
                    }, null, 10, ht), [
                        [G, I.value]
                    ]), S.value ? (h(), C("div", wt, [e("div", yt, [x.value ? (h(), C("svg", bt, St)) : (h(), C("svg", $t, It))]), e("div", Pt, n(x.value ? m.successTip : m.failTip), 1)])) : q("v-if", !0), k.value ? (h(), C("div", Tt, [Ft, e("div", Rt, n(N.$t("loading")) + "...", 1)])) : q("v-if", !0), r.value ? (h(), C("div", Et, Bt)) : q("v-if", !0)], 4), e("div", {
                        ref_key: "dragVerifyRef",
                        ref: $,
                        class: "captcha__bar",
                        style: Y(R.value)
                    }, [e("div", {
                        ref_key: "progressBarRef",
                        ref: z,
                        class: H(["captcha_progress_bar", {
                            goFirst2: l.value
                        }]),
                        style: Y(W.value)
                    }, null, 6), e("div", {
                        class: "captcha_progress_bar__text",
                        style: Y(ie.value)
                    }, n(N.$t("slideCaptchaText")), 5), e("div", {
                        ref_key: "handlerRef",
                        ref: T,
                        class: H(["captcha_handler", {
                            goFirst: l.value
                        }]),
                        style: Y(ue.value),
                        onMousedown: Fe,
                        onTouchstart: Fe
                    }, [(h(), C("svg", {
                        "p-id": "819",
                        style: Y(ae.value),
                        version: "1.1",
                        viewBox: "0 0 1024 1024",
                        xmlns: "http://www.w3.org/2000/svg"
                    }, Ut, 4))], 38)], 4), m.showRefresh ? (h(), C("div", qt, [e("a", {
                        class: "captcha__action",
                        style: Y(_.value),
                        onClick: Oe
                    }, [(h(), C("svg", {
                        fill: se.value,
                        height: "20px",
                        version: "1.1",
                        viewBox: "0 0 20 20",
                        width: "20px",
                        xmlns: "http://www.w3.org/2000/svg"
                    }, Mt, 8, At)), q(' <span class="captcha__action__text">刷新</span> ')], 4)])) : q("v-if", !0)], 4)]),
                    _: 1
                }, 8, ["show"])
            }
        }
    });
const Le = Z(zt, [
        ["__scopeId", "data-v-869b9ee0"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Login/SlideCaptcha.vue"]
    ]),
    Ht = {
        class: "verifyInput__container"
    },
    Ot = {
        class: "verifyInput__container-label"
    },
    Zt = {
        key: 0
    },
    Wt = {
        key: 1
    },
    jt = {
        class: "verifyInput__container-input"
    },
    Gt = ["placeholder"],
    Xt = {
        key: 0
    },
    Kt = {
        key: 1
    },
    Jt = {
        class: "verifyInput__container-tip"
    },
    Yt = M({
        __name: "VerifyInput",
        props: {
            value: {
                type: String,
                required: !1
            },
            typeP: {
                type: String,
                required: !1
            },
            isShowVerifyT: {
                type: Boolean,
                required: !1
            },
            placeholder: {
                type: String,
                required: !1,
                default: we.global.t("registerTip1")
            },
            sendFunc: {
                type: Function,
                required: !1
            },
            number: {
                type: String,
                required: !1
            },
            numberType: {
                type: String,
                required: !1,
                default: ""
            },
            showVerify: {
                type: Boolean,
                required: !1,
                default: !0
            },
            email: {
                type: String,
                required: !1
            },
            loginType: {
                type: String,
                required: !1
            },
            isTip: {
                type: Boolean,
                required: !1,
                default: !0
            }
        },
        emits: ["update:value"],
        setup(m, {
            emit: P
        }) {
            const p = m,
                {
                    t
                } = oe(),
                d = ee(),
                o = Ye().getUserInfo,
                w = Q(),
                l = V({
                    get() {
                        return p.value || ""
                    },
                    set(r) {
                        P("update:value", r)
                    }
                }),
                v = c(!0);
            async function f() {
                var k;
                if (v.value && (v.value = !p.isTip), d.countDown > 0) return;
                if (w.currentRoute.value.name === "rpwd" || w.currentRoute.value.name === "register" || w.currentRoute.value.name === "SettingC-UpdatePhone" && !p.isShowVerifyT) {
                    if (!((k = p.number) != null && k.trim())) return A({
                        message: t("telUndetected"),
                        wordBreak: "break-word"
                    });
                    const F = (p.number.trim() + p.numberType.trim()).length;
                    if (F < 10 || F > 14) return A({
                        message: t("wrongTel"),
                        wordBreak: "break-word"
                    })
                } else if (!localStorage.getItem("numberType") && localStorage.getItem("number")) return A({
                    message: t("telUndetected"),
                    wordBreak: "break-word"
                });
                !p.sendFunc || await p.sendFunc() === -1 || d.sendCode()
            }
            const i = V(() => {
                    var r;
                    return p.number ? p.numberType + p.number : ((r = o == null ? void 0 : o.verifyMethods) == null ? void 0 : r.mobile) || localStorage.getItem("numberType") + localStorage.getItem("number")
                }),
                g = r => {
                    const k = r.target;
                    k.value = k.value.replace(/\s+/g, ""), k.value = k.value.replace(/[^\d]/g, "")
                };

            function S() {
                w.push({
                    name: "CustomerService"
                })
            }
            return (r, k) => {
                const F = D("svg-icon"),
                    I = D("van-icon");
                return U((h(), C("div", Ht, [U(e("div", Ot, [b(F, {
                    name: "verify"
                }), r.typeP === "updatePhone" || r.typeP === "lock" ? (h(), C("span", Zt, n(r.$t("sendVerifyCodeTo")) + " " + n(a(Qe)(i.value)), 1)) : (h(), C("span", Wt, n(r.$t("verifyCode")), 1))], 512), [
                    [G, !(r.isShowVerifyT === !1 && r.typeP === "updatePhone")]
                ]), e("div", jt, [U(e("input", {
                    type: "text",
                    "onUpdate:modelValue": k[0] || (k[0] = x => l.value = x),
                    placeholder: r.$t("phEnterVerificationCode"),
                    maxlength: "6",
                    onInput: g
                }, null, 40, Gt), [
                    [de, l.value]
                ]), e("button", {
                    onClick: f,
                    class: H({
                        inActive: a(d).countDown > 0
                    })
                }, [a(d).countDown === 0 ? (h(), C("span", Xt, n(r.$t("send")), 1)) : (h(), C("span", Kt, n(a(d).countDown) + "S ", 1))], 2)]), U(e("div", Jt, [b(I, {
                    name: "warning-o"
                }), e("span", null, n(r.$t("codeUnreceived")) + "?", 1), e("span", {
                    onClick: k[1] || (k[1] = x => S())
                }, n(r.$t("contactServicer")), 1)], 512), [
                    [G, !v.value]
                ])], 512)), [
                    [G, r.showVerify]
                ])
            }
        }
    });
const Qt = Z(Yt, [
        ["__scopeId", "data-v-c17848a2"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Login/VerifyInput.vue"]
    ]),
    es = {
        class: "passwordInput__container"
    },
    ts = {
        class: "passwordInput__container-label"
    },
    ss = {
        class: "passwordInput__container-input"
    },
    os = ["type", "placeholder", "maxlength", "value"],
    as = ["src"],
    ns = M({
        __name: "PasswordInput",
        props: {
            value: {
                type: String,
                required: !1
            },
            maxlength: {
                type: Number,
                required: !1,
                default: 15
            },
            label: {
                type: String,
                required: !0
            }
        },
        emits: ["update:value"],
        setup(m, {
            emit: P
        }) {
            const p = m,
                t = we.global.t,
                d = c(),
                s = c(""),
                o = c(!1);
            Se(s, y => {
                P("update:value", y)
            }, {
                flush: "post"
            });
            const w = y => {
                    if (o.value) return;
                    let E = f();
                    const R = y.target;
                    R.value = R.value.replace(/\s+/g, "");
                    const W = /[\u4e00-\u9fa5]/g;
                    R.value = R.value.replace(W, ""), i(E, R.value), g(R.value), S(E)
                },
                l = c(!1),
                v = V(() => l.value ? he("main", "eyeVisible") : he("main", "eyeInvisible")),
                f = () => {
                    var y = {
                        start: 0,
                        end: 0
                    };
                    return y.start = d.value.selectionStart, y.end = d.value.selectionEnd, y
                },
                i = (y, E) => {
                    if (E.length > 1 && !E.includes("•")) {
                        s.value = E;
                        return
                    }
                    let R = E.split("•").join("");
                    if (R) {
                        let W = s.value.length - (E.length - y.end);
                        s.value = s.value.slice(0, y.end - R.length) + R + s.value.slice(W)
                    } else s.value = s.value.slice(0, y.end) + s.value.slice(y.end + s.value.length - E.length)
                },
                g = y => {
                    if (l.value) return;
                    if (!y) {
                        d.value.value = "";
                        return
                    }
                    let E = "";
                    for (let R = 0; R < y.length; R++) E += "•";
                    d.value.value = E
                },
                S = y => {
                    d.value.setSelectionRange(y.start, y.end)
                },
                r = () => {
                    o.value = !0
                },
                k = y => {
                    o.value && (o.value = !1, w(y))
                },
                F = () => {
                    l.value = !l.value, l.value ? d.value.value = s.value : g(s.value)
                };
            me(() => {
                s.value = p.value || "", g(s.value)
            });
            const I = localStorage.getItem("language"),
                x = V(() => {
                    let y, E = p.label;
                    switch (I) {
                        case "vi":
                            switch (E) {
                                case "Đặt mật khẩu":
                                    y = t("setLoginPSW");
                                    break;
                                case "Xác nhận mật khẩu":
                                    y = t("enterPswConfirmation");
                                    break;
                                default:
                                    y = t("phEnter") + E;
                                    break
                            }
                            break;
                        default:
                            y = E
                    }
                    return y
                });
            return (y, E) => {
                const R = D("svg-icon");
                return h(), C("div", es, [e("div", ts, [b(R, {
                    name: "editPswIcon",
                    class: "passwordInput__container-label__icon"
                }), e("span", null, n(y.label), 1)]), e("div", ss, [e("input", {
                    type: l.value ? "text" : "password",
                    placeholder: x.value,
                    maxlength: y.maxlength,
                    onInput: w,
                    onCompositionstart: r,
                    onCompositionend: k,
                    ref_key: "inputPwd",
                    ref: d,
                    value: y.value,
                    autocomplete: "new-password"
                }, null, 40, os), e("img", {
                    src: v.value,
                    class: "eye",
                    onClick: F
                }, null, 8, as)])])
            }
        }
    });
const le = Z(ns, [
        ["__scopeId", "data-v-ea5b66c8"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Login/PasswordInput.vue"]
    ]),
    $e = {
        moneyup: /^(?!0+$)(?!0*\.0*$)\d{1,11}(\.\d{1,2})?$/,
        redNum: /^([1-9]\d{0,2}|1000)$/,
        requiredNum: /^.{0,20}$/,
        passReg2: /^(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])(?![0-9\W_]+$)[a-zA-Z0-9\W_]{8,30}$/,
        passReg3: /^(?=.*[a-zA-Z])(?=.*\d)[a-zA-Z\d]{8,30}$/,
        outmoneypwd: /^\d{6}$/,
        name: /^[^~`!@#$%^&*+-/=/_()|<\{\}\[\],.:'"//\?\\/>》《]{1,30}$/,
        tuiName: /^[a-zA-Z\s\u4e00-\u9fa50-9][a-zA-Z0-9\s\u4e00-\u9fa5]{1,23}$/,
        yaoma: /^[A-Za-z0-9|A-Za-z|0-9]{6}$/,
        httpCheck: /^((ht|f)tps?):\/\/([\w-]+(\.[\w-]+)*\/?)+(\?([\w\-\.,@?^=%&:\/~\+#]*)+)?$/,
        password: /^[A-Za-z0-9~`!@#$%^&*()_+-='",;.?/|]{6,12}$/,
        account: /^(?![a-zA-Z]+$)[a-zA-Z0-9|0-9]{7,11}$/,
        email: /^[0-9A-Za-zd]+([-_.][0-9A-Za-zd]+)*@([0-9A-Za-zd]+[-.]{0,1})[A-Za-zd]{1,5}$/,
        email1: /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/,
        length1: /^.{6,30}$/,
        phone: /\+(9[976]\d|8[987530]\d|6[987]\d|5[90]\d|42\d|3[875]\d|2[98654321]\d|9[8543210]|8[6421]|6[6543210]|5[87654321]|4[987654310]|3[9643210]|2[70]|7|1)\d{1,14}$/,
        phone1: /^(9[976]\d|8[987530]\d|6[987]\d|5[90]\d|42\d|3[875]\d|2[98654321]\d|9[8543210]|8[6421]|6[6543210]|5[87654321]|4[987654310]|3[9643210]|2[70]|7|1)\d{1,14}$/,
        moneys2: /^(-?)\d{1,9}(\.\d{1,2})?$/,
        moneys21: /^\d{1,4}(\.\d{1,2})?$/,
        ip: /^(?:(?:1[0-9][0-9]\.)|(?:2[0-4][0-9]\.)|(?:25[0-5]\.)|(?:[1-9][0-9]\.)|(?:[0-9]\.)){3}(?:(?:1[0-9][0-9])|(?:2[0-4][0-9])|(?:25[0-5])|(?:[1-9][0-9])|(?:[0-9]))$/,
        int: /^[1-9]\d*$/,
        verifyname: /[^a-zA-Z\s+$]/g,
        inputrule: /^[0-9,|]+$/
    },
    rs = {
        moneyup: "validateDesc1",
        redNum: "validateDesc2",
        requiredNum: "validateDesc3",
        passReg2: "pswRequirements",
        outmoneypwd: "validateDesc5",
        name: "validateDesc6",
        tuiName: "validateDesc7",
        endSpace: "validateDesc8",
        yaoma: "validateDesc9",
        httpCheck: "validateDesc10",
        password: "validateDesc11",
        account: "validateDesc13",
        email: "validateDesc14",
        length1: "validateDesc15",
        phone: "validateDesc16",
        moneys2: "validateDesc17",
        moneys21: "validateDesc18",
        ip: "validateDesc19",
        int: "validateDesc20",
        verifyname: "validateDesc21",
        inputtip: "validateDesc22"
    },
    Ce = m => (pe("data-v-ab583a3a"), m = m(), ve(), m),
    ls = {
        class: "RpwdPopup"
    },
    is = {
        class: "RpwdPopup-head"
    },
    us = {
        class: "RpwdPopup-topTip"
    },
    cs = Ce(() => e("br", null, null, -1)),
    ds = {
        class: "RpwdPopup-tip"
    },
    ps = Ce(() => e("div", {
        class: "tipbg"
    }, null, -1)),
    vs = {
        class: "RpwdPopup-errorTip"
    },
    ms = {
        key: 0
    },
    gs = {
        class: "errorTip"
    },
    _s = Ce(() => e("br", null, null, -1)),
    fs = {
        class: "RpwdPopup-foot"
    },
    hs = M({
        __name: "RpwdPopup",
        props: {
            show: {
                type: Boolean,
                default: !1
            },
            gamePresentation: {
                type: String,
                default: ""
            },
            phoneNumber: {
                type: String,
                default: ""
            },
            phoneNumberType: {
                type: String,
                default: ""
            },
            passwordErrorMaxNum: {
                default: 10
            }
        },
        emits: ["update:show"],
        setup(m, {
            emit: P
        }) {
            const p = m,
                {
                    t
                } = oe();
            Q();
            const {
                getSelfCustomerServiceLink: d
            } = ye({
                ServerType: 2
            }), s = c(!1), o = ee(), w = c(!1), l = c({
                smsvcode: "",
                password: "",
                rePassword: ""
            }), v = V({
                get() {
                    return p.show || !1
                },
                set(S) {
                    S || P("update:show", !1)
                }
            }), f = async () => {
                if (!p.phoneNumber) return;
                await re(et({
                    phone: p.phoneNumberType + p.phoneNumber,
                    codeType: Ve.resetPassword
                })) ? fe(t("sendSuccess")) : setTimeout(() => {
                    o.setCountDown(0)
                }, 500)
            }, i = async () => {
                if (!l.value.smsvcode.trim()) return A({
                    message: t("registerTip1"),
                    wordBreak: "break-word"
                });
                if (l.value.smsvcode.trim().length != 6) return A({
                    message: t("verifyCode6Digits"),
                    wordBreak: "break-word"
                });
                if (!l.value.password.trim()) return A({
                    message: t("registerTip2"),
                    wordBreak: "break-word"
                });
                if (!$e.passReg3.test(l.value.password)) {
                    s.value = !0;
                    return
                }
                if (!l.value.rePassword.trim()) return A({
                    message: t("registerTip3"),
                    wordBreak: "break-word"
                });
                if (l.value.password !== l.value.rePassword) {
                    w.value = !0;
                    return
                } else w.value = !1;
                const {
                    password: S,
                    smsvcode: r
                } = l.value;
                let k = {
                    username: p.phoneNumberType + p.phoneNumber,
                    password: S,
                    type: "mobile",
                    smsvcode: r
                };
                await re(Be(k)) && (fe(t("rpdsucceed")), localStorage.clear(), P("update:show", !1))
            }, g = () => {
                d()
            };
            return (S, r) => {
                const k = D("svg-icon"),
                    F = D("van-popup");
                return h(), C(Re, null, [q(" 规则弹层 begin"), b(F, {
                    show: v.value,
                    "onUpdate:show": r[4] || (r[4] = I => v.value = I),
                    "close-on-click-overlay": !1,
                    position: "bottom",
                    round: ""
                }, {
                    default: O(() => [e("div", ls, [e("div", is, n(a(t)("idlockTitle")), 1), e("div", us, [B(n(a(t)("idlockTip1", [m.passwordErrorMaxNum])), 1), cs, B(n(a(t)("idlockTip3")), 1)]), b(Qt, {
                        value: l.value.smsvcode,
                        "onUpdate:value": r[0] || (r[0] = I => l.value.smsvcode = I),
                        number: m.phoneNumber,
                        sendFunc: f,
                        numberType: m.phoneNumberType,
                        "type-p": "lock"
                    }, null, 8, ["value", "number", "numberType"]), b(le, {
                        value: l.value.password,
                        "onUpdate:value": r[1] || (r[1] = I => l.value.password = I),
                        label: a(t)("newPSWRest")
                    }, null, 8, ["value", "label"]), U(e("div", ds, [ps, e("span", null, n(a(t)("pswRule")), 1)], 512), [
                        [G, s.value]
                    ]), b(le, {
                        value: l.value.rePassword,
                        "onUpdate:value": r[2] || (r[2] = I => l.value.rePassword = I),
                        label: a(t)("newPSWconfirm")
                    }, null, 8, ["value", "label"]), e("div", vs, [w.value ? (h(), C("span", ms, n(a(t)("unmatchedInput")), 1)) : q("v-if", !0)]), e("div", {
                        class: "gotuserver van-hairline--surround",
                        onClick: g
                    }, [b(k, {
                        name: "customer1"
                    }), B(n(a(t)("contactServicer")), 1)]), e("div", gs, [B(n(a(t)("wrongTel")), 1), _s, B(n(a(t)("rpwdPopupTip")), 1)]), e("div", fs, [e("button", {
                        class: "dialogBtn",
                        onClick: i
                    }, n(a(t)("confirm")), 1), e("button", {
                        class: "dialogBtn",
                        onClick: r[3] || (r[3] = I => P("update:show", !1))
                    }, n(a(t)("cancel")), 1)])])]),
                    _: 1
                }, 8, ["show"])], 2112)
            }
        }
    });
const ws = Z(hs, [
        ["__scopeId", "data-v-ab583a3a"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Login/RpwdPopup.vue"]
    ]),
    ys = {
        class: "phoneInput__container"
    },
    bs = {
        class: "phoneInput__container-label"
    },
    ks = {
        class: "phoneInput__container-input"
    },
    Ss = ["placeholder"],
    $s = M({
        __name: "PhoneInput",
        props: {
            type: {
                type: String,
                required: !0
            },
            showValidate: {
                type: Boolean,
                required: !0
            },
            typeP: {
                type: String,
                required: !1
            },
            numberType: {
                type: String,
                required: !0
            },
            number: {
                type: String,
                required: !0
            }
        },
        emits: ["update:show-validate", "changeT", "changeN"],
        setup(m, {
            expose: P,
            emit: p
        }) {
            const t = m,
                d = c(),
                s = V({
                    get() {
                        return t.number
                    },
                    set(i) {
                        p("changeN", i.replace(/[^0-9]/g, ""))
                    }
                });

            function o(i) {
                i.target.value.length < 6 && p("update:show-validate", !0)
            }

            function w(i) {
                const g = i.target,
                    S = /[\u4e00-\u9fa5]/g;
                g.value = g.value.replace(S, ""), g.value.length > 0 && p("update:show-validate", !1)
            }
            const l = i => {
                p("changeT", i)
            };
            je(d, () => {
                d.value.close()
            }), me(() => {});
            const v = c();

            function f() {
                j(() => {
                    v.value.focus()
                })
            }
            return P({
                getFocus: f
            }), (i, g) => {
                const S = D("svg-icon"),
                    r = ke("only-num");
                return h(), C("div", ys, [e("div", bs, [b(S, {
                    name: "phone"
                }), e("span", null, n(i.$t("phone")), 1)]), e("div", ks, [b(at, {
                    typeValue: t.numberType,
                    ref_key: "dropDown",
                    ref: d,
                    onChangeT: l
                }, null, 8, ["typeValue"]), U(e("input", {
                    type: "text",
                    name: "userNumber",
                    "onUpdate:modelValue": g[0] || (g[0] = k => s.value = k),
                    placeholder: i.$t("plsEnterTel"),
                    onBlur: o,
                    onInput: w,
                    ref_key: "number",
                    ref: v
                }, null, 40, Ss), [
                    [r],
                    [de, s.value]
                ])])])
            }
        }
    });
const Cs = Z($s, [
        ["__scopeId", "data-v-50aa8bb0"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Login/PhoneInput.vue"]
    ]),
    Is = m => (pe("data-v-33f88764"), m = m(), ve(), m),
    Ps = {
        class: "signIn__container"
    },
    Ts = {
        class: "signIn__container-button"
    },
    Fs = {
        class: "signIn_footer"
    },
    Rs = {
        class: "font24"
    },
    Es = {
        class: "font24"
    },
    xs = {
        class: "idlockTip"
    },
    Vs = Is(() => e("br", null, null, -1)),
    Bs = ["src"],
    Ds = M({
        __name: "SignIn",
        setup(m, {
            expose: P
        }) {
            const p = Q(),
                {
                    t
                } = oe(),
                d = c("login"),
                {
                    setLoading: s
                } = De(),
                o = ee(),
                w = c(!1),
                {
                    getSelfCustomerServiceLink: l,
                    isCenterServer: v
                } = ye({
                    ServerType: 2
                }),
                f = c(!1),
                i = c(10),
                g = c();
            let S = !1;
            async function r() {
                if (!S) {
                    if (S = !0, Ne() && await new Promise(u => setTimeout(u, 1e3)), S = !1, !o.userForm.number || o.userForm.number.toString().trim() === "") {
                        f.value = !0;
                        return
                    }
                    if (!o.userForm.password || o.userForm.password.toString().trim() === "") return A({
                        message: t("registerTip2"),
                        wordBreak: "break-word"
                    });
                    o.userForm.numberType = o.getUserForm.numberType.replace("+", ""), o.userForm.remember && o.userForm.password.toString().trim() !== "" ? localStorage.setItem("remember", o.userForm.password) : localStorage.setItem("remember", ""), o.isOpenCaptcha && !y.value ? se() : (s(!0), await o.signIn(o.userForm).then(u => {
                        o.userForm.vCode = "", console.log("res", u)
                    }).catch(u => {
                        var T;
                        console.log("登陆错误1", u), y.value = !1, u.code === 1 && (i.value = ((T = u.data) == null ? void 0 : T.passwordErrorMaxNum) || 10), u.msgCode === 33 ? j(() => $.value = !0) : _(u.msgCode || 0)
                    }).finally(() => {
                        R.value.setShowHiden(!1), s(!1)
                    }))
                }
            }
            const k = () => {
                p.push({
                    name: "register"
                })
            };

            function F() {
                p.push({
                    name: "rpwd"
                }), o.setCurrentView("ResetPassword")
            }

            function I() {
                l()
            }
            const x = u => {
                    o.getUserForm.numberType = u
                },
                y = c(!1),
                E = u => {
                    o.getUserForm.number = u
                },
                R = c(),
                W = c(""),
                ie = () => {
                    w.value = !1, l()
                };
            Ee(window, "keydown", u => {
                u.key == "Enter" && r()
            }), me(async () => {
                var T;
                const u = o.getUserForm;
                localStorage.getItem("remember") != null && ((T = localStorage.getItem("remember")) == null ? void 0 : T.toString().trim()) != "" ? u.password = localStorage.getItem("remember") : u.password = "", o.setUserForm({ ...u
                })
            });
            let ue = Se(() => o.userForm.number, u => {
                o.setCountDown(0)
            }, {
                flush: "post"
            });
            const ae = async u => {
                    j(async () => {
                        R.value.startRequestVerify(), s(!0), o.signIn(Object.assign(o.userForm, {
                            captchaId: W.value,
                            track: u
                        })).then(T => {
                            console.log("res", T)
                        }).catch(T => {
                            var ne;
                            console.log("登陆错误", T), T.code === 1 && (i.value = ((ne = T.data) == null ? void 0 : ne.passwordErrorMaxNum) || 10), T.msgCode === 33 ? (j(() => $.value = !0), y.value = !0) : _(T.msgCode || 0)
                        }).finally(() => {
                            R.value.setShowHiden(!1), s(!1)
                        })
                    })
                },
                se = () => {
                    j(async () => {
                        R.value.startRequestGenerate();
                        const u = await re(Ue());
                        u ? (W.value = u.data.captchaId, R.value.endRequestGenerate(u.data.backgroundImage, u.data.sliderImage)) : R.value.endRequestGenerate(null, null)
                    })
                },
                _ = u => {
                    u == 122 && (w.value = !0)
                };
            xe(() => {
                ue(), o.getUserForm.remember || (o.getUserForm.password = "")
            });
            const $ = c(!1),
                z = u => {
                    o.userForm.vCode = u, r()
                },
                X = () => {
                    $.value = !1, o.userForm.vCode = ""
                };
            return P({
                showPhoneValidate: f
            }), (u, T) => {
                const ne = D("van-checkbox"),
                    ce = D("svg-icon");
                return h(), C("div", Ps, [b(Cs, {
                    "show-validate": f.value,
                    "onUpdate:showValidate": T[0] || (T[0] = L => f.value = L),
                    ref_key: "phone",
                    ref: g,
                    type: d.value,
                    "number-type": a(o).getUserForm.numberType,
                    number: a(o).userForm.number,
                    onChangeT: x,
                    onChangeN: E
                }, null, 8, ["show-validate", "type", "number-type", "number"]), b(le, {
                    value: a(o).userForm.password,
                    "onUpdate:value": T[1] || (T[1] = L => a(o).userForm.password = L),
                    label: u.$t("password"),
                    maxlength: 32
                }, null, 8, ["value", "label"]), e("div", null, [b(ne, {
                    modelValue: a(o).userForm.rememberpwd,
                    "onUpdate:modelValue": T[2] || (T[2] = L => a(o).userForm.rememberpwd = L)
                }, {
                    default: O(() => [B(n(u.$t("rememberPSW")), 1)]),
                    _: 1
                }, 8, ["modelValue"])]), e("div", Ts, [e("button", {
                    class: H([a(o).userForm.number != "" ? "active" : ""]),
                    onClick: r
                }, n(u.$t("login")), 3), e("button", {
                    class: "register",
                    onClick: k
                }, n(u.$t("register")), 1)]), e("div", Fs, [a(o).isOpenForgetPasswordSMSState || a(o).isOpenForgetPasswordEmailState ? (h(), C("div", {
                    key: 0,
                    class: "forgetcon",
                    onClick: F
                }, [b(ce, {
                    name: "clock_b",
                    class: "forgetbg"
                }), e("div", Rs, n(u.$t("forgetPSW")), 1)])) : q("v-if", !0), e("div", {
                    class: "customcon",
                    onClick: I
                }, [a(v) ? (h(), J(ce, {
                    key: 0,
                    name: "serverTicket1",
                    class: "forgetbg"
                })) : (h(), J(ce, {
                    key: 1,
                    name: "customer_b",
                    class: "forgetbg"
                })), e("div", Es, n(a(v) ? a(t)("serverTicket") : u.$t("customerServiceTitle")), 1)])]), b(Le, {
                    ref_key: "captchaRef",
                    ref: R,
                    "refresh-color": "#FFFFFF",
                    "show-refresh": !0,
                    text: a(t)("slideCaptchaText"),
                    onFinish: ae,
                    onRefresh: se
                }, null, 8, ["text"]), q("10锁定密码弹窗"), a(o).isOpenForgetPasswordSMSState && w.value ? (h(), J(ws, {
                    key: 0,
                    show: w.value,
                    "onUpdate:show": T[3] || (T[3] = L => w.value = L),
                    phoneNumber: a(o).getUserForm.number,
                    phoneNumberType: a(o).getUserForm.numberType,
                    passwordErrorMaxNum: i.value
                }, null, 8, ["show", "phoneNumber", "phoneNumberType", "passwordErrorMaxNum"])) : (h(), J(qe, {
                    key: 1,
                    show: w.value,
                    "onUpdate:show": T[5] || (T[5] = L => w.value = L),
                    "show-cancel-btn": !0,
                    title: u.$t("idlockTitle")
                }, {
                    content: O(() => [e("div", xs, [B(n(u.$t("idlockTip1", [i.value])) + " ", 1), Vs, B(n(u.$t("idlockTip2")), 1)])]),
                    footer: O(() => [e("button", {
                        class: "dialogBtn",
                        onClick: T[4] || (T[4] = L => w.value = !1)
                    }, n(u.$t("cancel")), 1), e("button", {
                        class: "dialogBtn",
                        onClick: ie
                    }, [e("img", {
                        src: a(he)("main", "iconservr")
                    }, null, 8, Bs), B(" " + n(u.$t("contactServicer")), 1)])]),
                    _: 1
                }, 8, ["show", "title"])), q(" 验证弹窗 "), b(Ae, {
                    showPopup: $.value,
                    onOnConfirm: z,
                    onOnBack: X
                }, null, 8, ["showPopup"])])
            }
        }
    });
const Ns = Z(Ds, [
        ["__scopeId", "data-v-33f88764"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Login/SignIn.vue"]
    ]),
    Us = {
        class: "verifyInput__container"
    },
    qs = {
        class: "verifyInput__container-label"
    },
    As = {
        key: 0
    },
    Ls = {
        key: 1
    },
    Ms = {
        class: "verifyInput__container-input"
    },
    zs = ["placeholder"],
    Hs = {
        key: 0
    },
    Os = {
        key: 1
    },
    Zs = {
        class: "verifyInput__container-tip"
    },
    Ws = M({
        __name: "VerifyEmailInput",
        props: {
            value: {
                type: String,
                required: !1
            },
            typeP: {
                type: String,
                required: !1
            },
            isShowVerifyT: {
                type: Boolean,
                required: !1
            },
            placeholder: {
                type: String,
                required: !1,
                default: we.global.t("registerTip6")
            },
            sendFunc: {
                type: Function,
                required: !1
            },
            number: {
                type: String,
                required: !1
            },
            numberType: {
                type: String,
                required: !1
            },
            showVerify: {
                type: Boolean,
                required: !1,
                default: !0
            },
            email: {
                type: String,
                required: !1,
                default: ""
            },
            loginType: {
                type: String,
                required: !1
            }
        },
        emits: ["update:value"],
        setup(m, {
            emit: P
        }) {
            const p = m;
            oe();
            const t = ee(),
                d = Q(),
                s = V({
                    get() {
                        return p.value || ""
                    },
                    set(i) {
                        P("update:value", i)
                    }
                }),
                o = c(!0);
            async function w() {
                o.value && (o.value = !1), !(t.countEmailDown > 0) && (t.sendEmailCode(), p.sendFunc && p.sendFunc())
            }
            const l = V(() => localStorage.getItem("email") || p.email),
                v = i => {
                    const g = i.target;
                    g.value = g.value.replace(/\s+/g, ""), g.value = g.value.replace(/[^\d]/g, "")
                };

            function f() {
                d.push({
                    name: "CustomerService"
                })
            }
            return (i, g) => {
                const S = D("svg-icon"),
                    r = D("van-icon");
                return U((h(), C("div", Us, [U(e("div", qs, [b(S, {
                    name: "safeIcon",
                    class: "verifyInput__container-label__icon"
                }), i.typeP === "updateEmail" || i.typeP === "lock" ? (h(), C("span", As, n(i.$t("sendVerifyCodeTo")) + " " + n(a(tt)(l.value)), 1)) : (h(), C("span", Ls, n(i.$t("verifyCode")), 1))], 512), [
                    [G, !(i.isShowVerifyT === !1 && i.typeP === "updateEmail")]
                ]), e("div", Ms, [U(e("input", {
                    type: "text",
                    "onUpdate:modelValue": g[0] || (g[0] = k => s.value = k),
                    placeholder: i.$t("phEnterVerificationCode"),
                    maxlength: "6",
                    onInput: v
                }, null, 40, zs), [
                    [de, s.value]
                ]), e("button", {
                    onClick: w,
                    class: H({
                        inActive: a(t).countEmailDown > 0
                    })
                }, [a(t).countEmailDown === 0 ? (h(), C("span", Hs, n(i.$t("send")), 1)) : (h(), C("span", Os, n(a(t).countEmailDown) + "S ", 1))], 2)]), U(e("div", Zs, [b(r, {
                    name: "warning-o"
                }), e("span", null, n(i.$t("codeUnreceived")) + "?", 1), e("span", {
                    onClick: g[1] || (g[1] = k => f())
                }, n(i.$t("contactServicer")), 1)], 512), [
                    [G, !o.value]
                ])], 512)), [
                    [G, i.showVerify]
                ])
            }
        }
    });
const js = Z(Ws, [
        ["__scopeId", "data-v-484b25b1"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Login/VerifyEmailInput.vue"]
    ]),
    Ie = m => (pe("data-v-95ce4137"), m = m(), ve(), m),
    Gs = {
        class: "RpwdPopup"
    },
    Xs = {
        class: "RpwdPopup-head"
    },
    Ks = {
        class: "RpwdPopup-topTip"
    },
    Js = Ie(() => e("br", null, null, -1)),
    Ys = {
        class: "RpwdPopup-tip"
    },
    Qs = Ie(() => e("div", {
        class: "tipbg"
    }, null, -1)),
    eo = {
        class: "RpwdPopup-errorTip"
    },
    to = {
        key: 0
    },
    so = {
        class: "errorTip"
    },
    oo = Ie(() => e("br", null, null, -1)),
    ao = {
        class: "RpwdPopup-foot"
    },
    no = M({
        __name: "EmailRpwdPopup",
        props: {
            show: {
                type: Boolean,
                default: !1
            },
            gamePresentation: {
                type: String,
                default: ""
            },
            email: {
                type: String,
                default: ""
            },
            passwordErrorMaxNum: {
                default: 10
            }
        },
        emits: ["update:show"],
        setup(m, {
            emit: P
        }) {
            const p = m,
                {
                    t
                } = oe();
            Q();
            const d = c(!1),
                {
                    getSelfCustomerServiceLink: s
                } = ye({
                    ServerType: 2
                }),
                o = ee(),
                w = c(!1),
                l = c({
                    smsvcode: "",
                    password: "",
                    rePassword: ""
                }),
                v = V({
                    get() {
                        return p.show || !1
                    },
                    set(S) {
                        S || P("update:show", !1)
                    }
                }),
                f = async () => {
                    if (!p.email) return;
                    await re(st({
                        email: p.email,
                        emailType: Ve.resetPassword
                    })) ? fe(t("sendSuccess")) : setTimeout(() => {
                        o.setCountEmailDown(0)
                    }, 500)
                },
                i = async () => {
                    if (!l.value.smsvcode.trim()) return A({
                        message: t("registerTip6"),
                        wordBreak: "break-word"
                    });
                    if (l.value.smsvcode.trim().length != 6) return A({
                        message: t("verifyCode6Digits"),
                        wordBreak: "break-word"
                    });
                    if (!l.value.password.trim()) return A({
                        message: t("registerTip2"),
                        wordBreak: "break-word"
                    });
                    if (!$e.passReg3.test(l.value.password)) {
                        d.value = !0;
                        return
                    }
                    if (!l.value.rePassword.trim()) return A({
                        message: t("registerTip3"),
                        wordBreak: "break-word"
                    });
                    if (l.value.password !== l.value.rePassword) {
                        w.value = !0;
                        return
                    } else w.value = !1;
                    const {
                        password: S,
                        smsvcode: r
                    } = l.value;
                    let k = {
                        username: p.email,
                        type: "email",
                        password: S,
                        smsvcode: r
                    };
                    await re(Be(k)) && (fe(t("rpdsucceed")), localStorage.clear(), P("update:show", !1))
                },
                g = () => {
                    s()
                };
            return (S, r) => {
                const k = D("svg-icon"),
                    F = D("van-popup");
                return h(), C(Re, null, [q(" 规则弹层 begin"), b(F, {
                    show: v.value,
                    "onUpdate:show": r[4] || (r[4] = I => v.value = I),
                    "close-on-click-overlay": !1,
                    position: "bottom",
                    round: ""
                }, {
                    default: O(() => [e("div", Gs, [e("div", Xs, n(a(t)("idlockTitle")), 1), e("div", Ks, [B(n(a(t)("idlockTip1", [m.passwordErrorMaxNum])), 1), Js, B(n(a(t)("idlockTip3")), 1)]), b(js, {
                        value: l.value.smsvcode,
                        "onUpdate:value": r[0] || (r[0] = I => l.value.smsvcode = I),
                        sendFunc: f,
                        email: m.email,
                        "type-p": "lock"
                    }, null, 8, ["value", "email"]), b(le, {
                        value: l.value.password,
                        "onUpdate:value": r[1] || (r[1] = I => l.value.password = I),
                        label: a(t)("newPSWRest")
                    }, null, 8, ["value", "label"]), U(e("div", Ys, [Qs, e("span", null, n(a(t)("pswRule")), 1)], 512), [
                        [G, d.value]
                    ]), b(le, {
                        value: l.value.rePassword,
                        "onUpdate:value": r[2] || (r[2] = I => l.value.rePassword = I),
                        label: a(t)("newPSWconfirm")
                    }, null, 8, ["value", "label"]), e("div", eo, [w.value ? (h(), C("span", to, n(a(t)("unmatchedInput")), 1)) : q("v-if", !0)]), e("div", {
                        class: "gotuserver",
                        onClick: g
                    }, [b(k, {
                        name: "customer1"
                    }), B(n(a(t)("contactServicer")), 1)]), e("div", so, [B(n(a(t)("wrongemail")), 1), oo, B(n(a(t)("rpwdEmailPopupTip")), 1)]), e("div", ao, [e("button", {
                        class: "dialogBtn",
                        onClick: i
                    }, n(a(t)("confirm")), 1), e("button", {
                        class: "dialogBtn",
                        onClick: r[3] || (r[3] = I => P("update:show", !1))
                    }, n(a(t)("cancel")), 1)])])]),
                    _: 1
                }, 8, ["show"])], 2112)
            }
        }
    });
const ro = Z(no, [
        ["__scopeId", "data-v-95ce4137"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Login/EmailRpwdPopup.vue"]
    ]),
    lo = {
        class: "emailcontainer"
    },
    io = {
        class: "emailinput__container"
    },
    uo = {
        class: "emailinput__container-label"
    },
    co = {
        class: "emailinput__container-input"
    },
    po = ["placeholder"],
    vo = M({
        __name: "EmailInput",
        props: {
            type: {
                type: String,
                required: !0
            },
            email: {
                type: String,
                required: !0
            }
        },
        emits: ["update:show-validate", "changeN"],
        setup(m, {
            expose: P,
            emit: p
        }) {
            const t = m,
                d = ee(),
                s = V({
                    get() {
                        return t.email
                    },
                    set(v) {
                        p("changeN", v)
                    }
                });

            function o(v) {
                const f = v.target,
                    i = /[\u4e00-\u9fa5]/g;
                f.value = f.value.replace(i, ""), f.value.length > 0 && p("update:show-validate", !1)
            }
            const w = c();

            function l() {
                j(() => {
                    w.value.focus()
                })
            }
            return P({
                getFocus: l
            }), (v, f) => {
                const i = D("svg-icon");
                return h(), C("div", lo, [e("div", io, [e("div", uo, [b(i, {
                    name: "email",
                    class: "emailinput__container-label__icon"
                }), e("span", null, n(a(d).isOpenExternalAccount ? `${v.$t("otherlogin")} ${v.$t("login")}` : v.$t("email")), 1)]), e("div", co, [U(e("input", {
                    type: "text",
                    name: "userEmail",
                    maxlength: "250",
                    "onUpdate:modelValue": f[0] || (f[0] = g => s.value = g),
                    placeholder: v.$t("inputemail"),
                    onInput: o,
                    ref_key: "email",
                    ref: w
                }, null, 40, po), [
                    [de, s.value]
                ])])])])
            }
        }
    });
const mo = Z(vo, [
        ["__scopeId", "data-v-4499df08"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Login/EmailInput.vue"]
    ]),
    go = m => (pe("data-v-436a69c4"), m = m(), ve(), m),
    _o = {
        class: "signIn__container"
    },
    fo = {
        class: "signIn__container-button"
    },
    ho = {
        class: "signIn_footer"
    },
    wo = {
        class: "font24"
    },
    yo = {
        class: "font24"
    },
    bo = {
        class: "idlockTip"
    },
    ko = go(() => e("br", null, null, -1)),
    So = ["src"],
    $o = M({
        __name: "EmailSignIn",
        setup(m) {
            const P = Q(),
                {
                    t: p
                } = oe(),
                t = c(10),
                {
                    setLoading: d
                } = De(),
                s = ee(),
                o = c(!1),
                {
                    getSelfCustomerServiceLink: w,
                    isCenterServer: l
                } = ye({
                    ServerType: 2
                }),
                v = c(!1),
                f = c(),
                i = c("login"),
                g = c(!1);
            async function S() {
                if (Ne() && await new Promise(_ => setTimeout(_, 500)), !(!s.userForm.email || s.userForm.email.toString().trim() === "")) {
                    if (!s.isOpenExternalAccount && !$e.email1.test(s.userForm.email)) return A({
                        message: p(rs.email),
                        wordBreak: "break-word"
                    });
                    if (!s.userForm.password || s.userForm.password.toString().trim() === "") return A({
                        message: p("registerTip2"),
                        wordBreak: "break-word"
                    });
                    s.userForm.remember && s.userForm.password.toString().trim() !== "" ? localStorage.setItem("remember", s.userForm.password) : localStorage.setItem("remember", ""), s.isOpenCaptcha && !g.value ? ae() : (d(!0), await s.signIn(s.userForm).then(_ => {
                        console.log("res", _)
                    }).catch(_ => {
                        var $;
                        g.value = !1, _.code === 1 && (t.value = (($ = _.data) == null ? void 0 : $.passwordErrorMaxNum) || 10), _.msgCode === 33 ? v.value = !0 : se(_.msgCode || 0)
                    }).finally(() => {
                        x.value.setShowHiden(!1), d(!1)
                    }))
                }
            }
            const r = () => {
                P.push({
                    name: "register"
                })
            };

            function k() {
                P.push({
                    name: "rpwd"
                }), s.setCurrentView("ResetPassword")
            }

            function F() {
                w()
            }
            const I = _ => {
                    s.getUserForm.email = _
                },
                x = c(),
                y = c(""),
                E = () => {
                    o.value = !1, P.push({
                        name: "CustomerService"
                    })
                };
            Ee(window, "keydown", _ => {
                _.key == "Enter" && S()
            });
            const R = _ => {
                    s.userForm.vCode = _, S()
                },
                W = () => {
                    v.value = !1, s.userForm.vCode = ""
                };
            me(async () => {
                var $;
                const _ = s.getUserForm;
                localStorage.getItem("remember") != null && (($ = localStorage.getItem("remember")) == null ? void 0 : $.toString().trim()) != "" ? _.password = localStorage.getItem("remember") : _.password = "", s.setUserForm({ ..._
                })
            });
            let ie = Se(() => s.userForm.number, _ => {
                s.setCountDown(0)
            }, {
                flush: "post"
            });
            const ue = async _ => {
                    j(async () => {
                        x.value.startRequestVerify(), d(!0), s.signIn(Object.assign(s.userForm, {
                            captchaId: y.value,
                            track: _
                        })).then($ => {
                            s.userForm.vCode = "", console.log("res", $)
                        }).catch($ => {
                            var z;
                            console.log("登陆错误", $), $.code === 1 && (t.value = ((z = $.data) == null ? void 0 : z.passwordErrorMaxNum) || 10), $.msgCode === 33 ? (j(() => v.value = !0), g.value = !0) : se($.msgCode || 0)
                        }).finally(() => {
                            x.value.setShowHiden(!1), d(!1)
                        })
                    })
                },
                ae = () => {
                    j(async () => {
                        x.value.startRequestGenerate();
                        const _ = await re(Ue());
                        _ ? (y.value = _.data.captchaId, x.value.endRequestGenerate(_.data.backgroundImage, _.data.sliderImage)) : x.value.endRequestGenerate(null, null)
                    })
                },
                se = _ => {
                    _ == 122 && (o.value = !0)
                };
            return xe(() => {
                ie(), s.getUserForm.remember || (s.getUserForm.password = "")
            }), (_, $) => {
                const z = D("van-checkbox"),
                    X = D("svg-icon");
                return h(), C("div", _o, [b(mo, {
                    ref_key: "email",
                    ref: f,
                    type: i.value,
                    email: a(s).userForm.email,
                    onChangeN: I
                }, null, 8, ["type", "email"]), b(le, {
                    value: a(s).userForm.password,
                    "onUpdate:value": $[0] || ($[0] = u => a(s).userForm.password = u),
                    label: _.$t("password"),
                    maxlength: 32
                }, null, 8, ["value", "label"]), e("div", null, [b(z, {
                    modelValue: a(s).userForm.rememberpwd,
                    "onUpdate:modelValue": $[1] || ($[1] = u => a(s).userForm.rememberpwd = u)
                }, {
                    default: O(() => [B(n(_.$t("rememberPSW")), 1)]),
                    _: 1
                }, 8, ["modelValue"])]), e("div", fo, [e("button", {
                    class: H([a(s).userForm.email != "" ? "active" : ""]),
                    onClick: S
                }, n(_.$t("login")), 3), e("button", {
                    class: "register",
                    onClick: r
                }, n(_.$t("register")), 1)]), e("div", ho, [a(s).isOpenForgetPasswordSMSState || a(s).isOpenForgetPasswordEmailState ? (h(), C("div", {
                    key: 0,
                    class: "forgetcon",
                    onClick: k
                }, [b(X, {
                    name: "clock_b",
                    class: "forgetbg"
                }), e("div", wo, n(_.$t("forgetPSW")), 1)])) : q("v-if", !0), e("div", {
                    class: "customcon",
                    onClick: F
                }, [a(l) ? (h(), J(X, {
                    key: 0,
                    name: "serverTicket1",
                    class: "forgetbg"
                })) : (h(), J(X, {
                    key: 1,
                    name: "customer_b",
                    class: "forgetbg"
                })), e("div", yo, n(a(l) ? a(p)("serverTicket") : _.$t("customerServiceTitle")), 1)])]), b(Le, {
                    ref_key: "captchaRef",
                    ref: x,
                    "refresh-color": "#FFFFFF",
                    "show-refresh": !0,
                    text: a(p)("slideCaptchaText"),
                    onFinish: ue,
                    onRefresh: ae
                }, null, 8, ["text"]), q("10锁定密码弹窗"), a(s).isOpenForgetPasswordEmailState && o.value ? (h(), J(ro, {
                    key: 0,
                    show: o.value,
                    "onUpdate:show": $[2] || ($[2] = u => o.value = u),
                    email: a(s).getUserForm.email,
                    passwordErrorMaxNum: t.value
                }, null, 8, ["show", "email", "passwordErrorMaxNum"])) : (h(), J(qe, {
                    key: 1,
                    show: o.value,
                    "onUpdate:show": $[4] || ($[4] = u => o.value = u),
                    "show-cancel-btn": !0,
                    title: _.$t("idlockTitle")
                }, {
                    content: O(() => [e("div", bo, [B(n(_.$t("idlockTip1", [t.value])) + " ", 1), ko, B(n(_.$t("idlockTip2")), 1)])]),
                    footer: O(() => [e("button", {
                        class: "dialogBtn",
                        onClick: $[3] || ($[3] = u => o.value = !1)
                    }, n(_.$t("cancel")), 1), e("button", {
                        class: "dialogBtn",
                        onClick: E
                    }, [e("img", {
                        src: a(he)("main", "iconservr")
                    }, null, 8, So), B(" " + n(_.$t("contactServicer")), 1)])]),
                    _: 1
                }, 8, ["show", "title"])), q(" 验证弹窗 "), b(Ae, {
                    showPopup: v.value,
                    onOnConfirm: R,
                    onOnBack: W
                }, null, 8, ["showPopup"])])
            }
        }
    });
const Co = Z($o, [
        ["__scopeId", "data-v-436a69c4"],
        ["__file", "/usr/local/jenkins-prod/workspace/AR079-Pages-india-tashanwin/src/components/Login/EmailSignIn.vue"]
    ]),
    Io = {
        class: "login__container-heading"
    },
    Po = {
        class: "login__container-heading__title"
    },
    To = {
        class: "login__container-heading__subTitle"
    },
    Fo = {
        class: "login_container-tab"
    },
    Ro = {
        class: "login__container-form"
    },
    No = M({
        __name: "index",
        setup(m) {
            const {
                t: P
            } = we.global, p = Q(), t = ee();
            t.getRegisterState();
            const d = c("mobile"),
                s = c(void 0);
            t.userForm.logintype = d.value;
            const {
                openAll: o
            } = ot();

            function w() {
                p.replace("/")
            }
            const l = v => {
                d.value = v, t.userForm.logintype = v, t.userForm.password = "", t.remember(!0)
            };
            return Ge((v, f, i) => {
                i(), v.name === "home" && o()
            }), me(async () => {
                const v = (await Xe(() =>
                    import ("./chunk.fingerprintjs-76068451.js"), ["assets/js/chunk.fingerprintjs-76068451.js", "assets/js/common.modules-f9fa5dc7.js", "assets/css/common-05d2aa17.css"])).default;
                if (!localStorage.getItem("arvId")) try {
                    const i = await (await v.load()).get();
                    localStorage.setItem("arvId", i.visitorId)
                } catch (f) {
                    console.error("Error generating fingerprint:", f)
                }
                t.remember(!0)
            }), (v, f) => {
                const i = D("NavBar"),
                    g = D("svg-icon");
                return h(), C("div", {
                    class: "login__container",
                    ref_key: "loginContainerRef",
                    ref: s
                }, [b(i, {
                    onClickLeft: w,
                    class: "main",
                    leftArrow: !0,
                    headLogo: !0
                }, {
                    right: O(() => [b(Ke)]),
                    _: 1
                }), e("div", Io, [e("h1", Po, n(a(P)("login")), 1), e("div", To, [e("div", null, n(v.$t("pleaseloginphoneoremail")), 1), e("div", null, n(v.$t("forgetyourpassword")), 1)])]), e("div", Fo, [e("div", {
                    class: H(["tab", [d.value == "mobile" ? "active" : ""]]),
                    onClick: f[0] || (f[0] = S => l("mobile"))
                }, [b(g, {
                    name: "phone"
                }), e("div", null, n(v.$t("phoneN")), 1)], 2), e("div", {
                    class: H(["tab", [d.value == "email" ? "active" : ""]]),
                    onClick: f[1] || (f[1] = S => l("email"))
                }, [e("div", null, [b(g, {
                    name: "email"
                }), U(b(g, {
                    name: "user"
                }, null, 512), [
                    [G, a(t).isOpenExternalAccount]
                ])]), e("div", null, n(a(t).isOpenExternalAccount ? v.$t("otherlogin") : v.$t("emaillogin")), 1)], 2)]), e("div", Ro, [e("div", {
                    class: H(["tab-content", [d.value == "mobile" ? "activecontent" : ""]])
                }, [b(Ns, {
                    ref: "signIn"
                }, null, 512)], 2), e("div", {
                    class: H(["tab-content", [d.value == "email" ? "activecontent" : ""]])
                }, [b(Co, {
                    ref: "signIn"
                }, null, 512)], 2)])], 512)
            }
        }
    });
export {
    mo as E, le as P, Le as S, Qt as V, No as _, Ae as a, js as b, rs as c, Cs as d, $e as v
};